Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Class FetchPlan

    java.lang.Object
      kodo.persistence.FetchPlan

Direct Known Subclasses:
  JDBCFetchPlan

    public class FetchPlan

extends Object

The fetch plan allows you to dynamically alter eager fetching configuration and other aspects of data loading.

Since:
  4.0

Field Summary
`static int` | `DEFAULT` Constant to revert any setting to its default value.
`static String` | `FETCH_GROUP_ALL` Fetch group representing all fields.

Constructor Summary
`FetchPlan(kodo.kernel.FetchConfiguration fetch)` Constructor; supply delegate.

Method Summary
`FetchPlan` | `addFetchGroup(String group)` Adds `group` to the set of fetch group names to use when loading objects.
`FetchPlan` | `addFetchGroups(Collection groups)` Adds `groups` to the set of fetch group names to use when loading objects.
`FetchPlan` | `addFetchGroups(String... groups)` Adds `groups` to the set of fetch group names to use when loading objects.
`FetchPlan` | `addField(Class cls, String field)` Adds `field` to the set of field names to use when loading objects.
`FetchPlan` | `addField(String field)` Adds `field` to the set of fully-qualified field names to use when loading objects.
`FetchPlan` | `addFields(Class cls, Collection fields)` Adds `fields` to the set of field names to use when loading objects.
`FetchPlan` | `addFields(Class cls, String... fields)` Adds `fields` to the set of field names to use when loading objects.
`FetchPlan` | `addFields(Collection fields)` Adds `fields` to the set of fully-qualified field names to use when loading objects.
`FetchPlan` | `addFields(String... fields)` Adds `fields` to the set of fully-qualified field names to use when loading objects.
`FetchPlan` | `clearFetchGroups()` Clears the set of fetch group names to use wen loading data.
`FetchPlan` | `clearFields()` Clears the set of field names to use wen loading data.
`boolean` | `equals(Object other)`
`kodo.kernel.FetchConfiguration` | `getDelegate()` Delegate.
`int` | `getFetchBatchSize()` Return the fetch batch size for large result set support.
`Collection<String>` | `getFetchGroups()` Returns the names of the fetch groups that this component will use when loading objects.
`Collection<String>` | `getFields()` Returns the fully qualified names of the fields that this component will use when loading objects.
`int` | `getLockTimeout()` The number of milliseconds to wait for an object lock, or -1 for no limit.
`boolean` | `getQueryResultCache()` Return whether or not query caching is enabled.
`LockModeType` | `getReadLockMode()` The lock level to use for locking loaded objects.
`LockModeType` | `getWriteLockMode()` The lock level to use for locking dirtied objects.
`boolean` | `hasField(Class cls, String field)` Return true if the given field has been added.
`boolean` | `hasField(String field)` Return true if the given field has been added.
`int` | `hashCode()`
`protected kodo.kernel.DelegatingFetchConfiguration` | `newDelegatingFetchConfiguration(kodo.kernel.FetchConfiguration fetch)` Create a new exception-translating delegating fetch configuration.
`FetchPlan` | `removeFetchGroup(String group)` Remove the given fetch group.
`FetchPlan` | `removeFetchGroups(Collection groups)` Removes `groups` from the set of fetch group names to use when loading objects.
`FetchPlan` | `removeFetchGroups(String... groups)` Removes `groups` from the set of fetch group names to use when loading objects.
`FetchPlan` | `removeField(Class cls, String field)` Remove the given field.
`FetchPlan` | `removeField(String field)` Remove the given fully-qualified field.
`FetchPlan` | `removeFields(Class cls, Collection fields)` Removes `fields` from the set of field names to use when loading objects.
`FetchPlan` | `removeFields(Class cls, String... fields)` Removes `fields` from the set of field names to use when loading objects.
`FetchPlan` | `removeFields(Collection fields)` Removes `fields` from the set of fully-qualified field names to use when loading objects.
`FetchPlan` | `removeFields(String... fields)` Removes `fields` from the set of fully-qualified field names to use when loading objects.
`FetchPlan` | `resetFetchGroups()` Resets the set of fetch groups to the list in the global configuration.
`FetchPlan` | `setFetchBatchSize(int fetchBatchSize)` Set the fetch batch size for large result set support.
`FetchPlan` | `setLockTimeout(int timeout)` The number of milliseconds to wait for an object lock, or -1 for no limit.
`FetchPlan` | `setQueryResultCache(boolean cache)` Control whether or not query caching is enabled.
`FetchPlan` | `setReadLockMode(LockModeType mode)` The lock level to use for locking loaded objects.
`FetchPlan` | `setWriteLockMode(LockModeType mode)` The lock level to use for locking dirtied objects.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FETCH_GROUP_ALL

    public static final String FETCH_GROUP_ALL

  Fetch group representing all fields.

  See Also:
    Constant Field Values

### DEFAULT

    public static final int DEFAULT

  Constant to revert any setting to its default value.

  See Also:
    Constant Field Values

Constructor Detail

### FetchPlan

    public FetchPlan(kodo.kernel.FetchConfiguration fetch)

  Constructor; supply delegate.

Method Detail

### newDelegatingFetchConfiguration

    protected kodo.kernel.DelegatingFetchConfiguration newDelegatingFetchConfiguration(kodo.kernel.FetchConfiguration fetch)

  Create a new exception-translating delegating fetch configuration.

### getDelegate

    public kodo.kernel.FetchConfiguration getDelegate()

  Delegate.

### getFetchBatchSize

    public int getFetchBatchSize()

  Return the fetch batch size for large result set support. Defaults to the `kodo.FetchBatchSize` setting. Note that this property will be ignored under some data stores.

### setFetchBatchSize

    public FetchPlan setFetchBatchSize(int fetchBatchSize)

  Set the fetch batch size for large result set support. Defaults to the `kodo.FetchBatchSize` setting. Note that this property will be ignored under some data stores.

### getQueryResultCache

    public boolean getQueryResultCache()

  Return whether or not query caching is enabled. If this returns `true` but the datacache plugin is not installed, caching will not be enabled. If this returns `false`, query caching will not be used even if the datacache plugin is installed.

### setQueryResultCache

    public FetchPlan setQueryResultCache(boolean cache)

  Control whether or not query caching is enabled. This has no effect if the datacache plugin is not installed, or if the query cache size is set to zero.

### getFetchGroups

    public Collection<String> getFetchGroups()

  Returns the names of the fetch groups that this component will use when loading objects. Defaults to the `kodo.FetchGroups` setting.

### addFetchGroup

    public FetchPlan addFetchGroup(String group)

  Adds `group` to the set of fetch group names to use when loading objects.

### addFetchGroups

    public FetchPlan addFetchGroups(String... groups)

  Adds `groups` to the set of fetch group names to use when loading objects.

### addFetchGroups

    public FetchPlan addFetchGroups(Collection groups)

  Adds `groups` to the set of fetch group names to use when loading objects.

### removeFetchGroup

    public FetchPlan removeFetchGroup(String group)

  Remove the given fetch group.

### removeFetchGroups

    public FetchPlan removeFetchGroups(String... groups)

  Removes `groups` from the set of fetch group names to use when loading objects.

### removeFetchGroups

    public FetchPlan removeFetchGroups(Collection groups)

  Removes `groups` from the set of fetch group names to use when loading objects.

### clearFetchGroups

    public FetchPlan clearFetchGroups()

  Clears the set of fetch group names to use wen loading data. After this operation is invoked, only those fields in the default fetch group (and any requested field) will be loaded when loading an object.

### resetFetchGroups

    public FetchPlan resetFetchGroups()

  Resets the set of fetch groups to the list in the global configuration.

### getFields

    public Collection<String> getFields()

  Returns the fully qualified names of the fields that this component will use when loading objects. Defaults to the empty set.

### hasField

    public boolean hasField(String field)

  Return true if the given field has been added.

### hasField

    public boolean hasField(Class cls,
                            String field)

  Return true if the given field has been added.

### addField

    public FetchPlan addField(String field)

  Adds `field` to the set of fully-qualified field names to use when loading objects.

### addField

    public FetchPlan addField(Class cls,
                              String field)

  Adds `field` to the set of field names to use when loading objects.

### addFields

    public FetchPlan addFields(String... fields)

  Adds `fields` to the set of fully-qualified field names to use when loading objects.

### addFields

    public FetchPlan addFields(Class cls,
                               String... fields)

  Adds `fields` to the set of field names to use when loading objects.

### addFields

    public FetchPlan addFields(Collection fields)

  Adds `fields` to the set of fully-qualified field names to use when loading objects.

### addFields

    public FetchPlan addFields(Class cls,
                               Collection fields)

  Adds `fields` to the set of field names to use when loading objects.

### removeField

    public FetchPlan removeField(String field)

  Remove the given fully-qualified field.

### removeField

    public FetchPlan removeField(Class cls,
                                 String field)

  Remove the given field.

### removeFields

    public FetchPlan removeFields(String... fields)

  Removes `fields` from the set of fully-qualified field names to use when loading objects.

### removeFields

    public FetchPlan removeFields(Class cls,
                                  String... fields)

  Removes `fields` from the set of field names to use when loading objects.

### removeFields

    public FetchPlan removeFields(Collection fields)

  Removes `fields` from the set of fully-qualified field names to use when loading objects.

### removeFields

    public FetchPlan removeFields(Class cls,
                                  Collection fields)

  Removes `fields` from the set of field names to use when loading objects.

### clearFields

    public FetchPlan clearFields()

  Clears the set of field names to use wen loading data. After this operation is invoked, only those fields in the configured fetch groups will be loaded when loading an object.

### getLockTimeout

    public int getLockTimeout()

  The number of milliseconds to wait for an object lock, or -1 for no limit.

### setLockTimeout

    public FetchPlan setLockTimeout(int timeout)

  The number of milliseconds to wait for an object lock, or -1 for no limit.

### getReadLockMode

    public LockModeType getReadLockMode()

  The lock level to use for locking loaded objects.

### setReadLockMode

    public FetchPlan setReadLockMode(LockModeType mode)

  The lock level to use for locking loaded objects.

### getWriteLockMode

    public LockModeType getWriteLockMode()

  The lock level to use for locking dirtied objects.

### setWriteLockMode

    public FetchPlan setWriteLockMode(LockModeType mode)

  The lock level to use for locking dirtied objects.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.